Subject: Re: Keeping reflogs on branch deletion

From: Jakub Narebski <[email-masked]>
Date: Thu, 14 Feb 2008 08:35:08 -0800 (PST)

Brian Downing <[email-masked]> writes:

> When deleting a branch, is there any reason we can't add a deletion
> entry into the reflog and keep the reflog around?  This would seem to be
> a lot safer; I know I've been burned by expecting the reflog safety net
> to be there, and surprised that it's not when I've deleted a branch.

There is techical problem with that, namely possibility of D/F
conflict. When you delete branch 'foo', you can later create branch
'foo/bar'. If reflog for 'foo' was not deleted, you couldn't create
reflog for 'foo/bar' because of directory / file conflict.

-- 
Jakub Narebski
Poland
ShadeHawk on #git